Bug 238122 - sysutils/py-google-compute-engine: put back boto dependency
Summary: sysutils/py-google-compute-engine: put back boto dependency
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Steve Wills
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-05-25 21:45 UTC by Steve Wills
Modified: 2019-12-05 19:11 UTC (History)
4 users (show)

See Also:


Attachments
patch to depend on boto in python 2 case (809 bytes, patch)
2019-05-25 21:45 UTC, Steve Wills
swills: maintainer-approval? (lucas.kanashiro)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Steve Wills freebsd_committer 2019-05-25 21:45:27 UTC
Created attachment 204606 [details]
patch to depend on boto in python 2 case

Seems the package now fails at startup with:

Starting google_instance_setup.                                                                                                                                                              
Traceback (most recent call last):                                                                                                                                                           
  File "/usr/local/bin/google_instance_setup-2.7", line 6, in <module>                                                                                                                       
    from pkg_resources import load_entry_point                                                                                                                                               
  File "/usr/local/lib/python2.7/site-packages/pkg_resources/__init__.py", line 3241, in <module>                                                                                            
    @_call_aside                                                                                                                                                                             
  File "/usr/local/lib/python2.7/site-packages/pkg_resources/__init__.py", line 3225, in _call_aside                                                                                         
    f(*args, **kwargs)                                                                                                                                                                       
  File "/usr/local/lib/python2.7/site-packages/pkg_resources/__init__.py", line 3254, in _initialize_master_working_set                                                                      
    working_set = WorkingSet._build_master()                                                                                                                                                 
  File "/usr/local/lib/python2.7/site-packages/pkg_resources/__init__.py", line 583, in _build_master                                                                                        
    ws.require(__requires__)                                                                                                                                                                 
  File "/usr/local/lib/python2.7/site-packages/pkg_resources/__init__.py", line 900, in require                                                                                              
    needed = self.resolve(parse_requirements(requirements))                                                                                                                                  
  File "/usr/local/lib/python2.7/site-packages/pkg_resources/__init__.py", line 786, in resolve                                                                                              
    raise DistributionNotFound(req, requirers)                                                                                                                                               
pkg_resources.DistributionNotFound: The 'boto' distribution was not found and is required by google-compute-engine                                                                           
/etc/rc: WARNING: failed to start google_instance_setup               

I think the attached patch should fix it.
Comment 1 Lucas Kanashiro 2019-05-27 11:58:15 UTC
(In reply to Steve Wills from comment #0)
Your patch is correct. I didn't notice boto is required in setup.py even if it is disabled.

Please, go ahead and apply this patch. Thanks!
Comment 2 commit-hook freebsd_committer 2019-05-27 15:28:25 UTC
A commit references this bug:

Author: swills
Date: Mon May 27 15:28:11 UTC 2019
New revision: 502800
URL: https://svnweb.freebsd.org/changeset/ports/502800

Log:
  sysutils/py-google-compute-engine: put back boto dependency

  PR:		238122
  Approved by:	Lucas Kanashiro <lucas.kanashiro@collabora.com> (maintainer)

Changes:
  head/sysutils/py-google-compute-engine/Makefile
Comment 3 Steve Wills freebsd_committer 2019-05-27 15:29:22 UTC
Oh, right, it's needed in all cases, so I went ahead and committed it that way. Thanks!
Comment 4 fedor.korotkov 2019-07-23 12:32:07 UTC
Hey there,

I'm wondering when images on GCP will be updated. Right now it blocks Cirrus CI to use 11.3 images. [1]

[1] https://github.com/cirruslabs/cirrus-ci-docs/issues/359